package com.mysql.jdbc;

import com.mysql.jdbc.exceptions.NotYetImplementedException;
import java.io.Reader;
import java.sql.NClob;
import java.sql.RowId;
import java.sql.SQLException;
import java.sql.SQLXML;

/* loaded from: com_mysql_jdbc.jar:com/mysql/jdbc/JDBC4PreparedStatementHelper.class */
public class JDBC4PreparedStatementHelper {
    private JDBC4PreparedStatementHelper() {
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static void setRowId(PreparedStatement pstmt, int parameterIndex, RowId x) throws SQLException {
        throw new NotYetImplementedException();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static void setNClob(PreparedStatement pstmt, int parameterIndex, NClob value) throws SQLException {
        if (value == null) {
            pstmt.setNull(parameterIndex, 2011);
        } else {
            pstmt.setNCharacterStream(parameterIndex, value.getCharacterStream(), value.length());
        }
    }

    static void setNClob(PreparedStatement pstmt, int parameterIndex, Reader reader) throws SQLException {
        pstmt.setNCharacterStream(parameterIndex, reader);
    }

    static void setNClob(PreparedStatement pstmt, int parameterIndex, Reader reader, long length) throws SQLException {
        if (reader == null) {
            pstmt.setNull(parameterIndex, 2011);
        } else {
            pstmt.setNCharacterStream(parameterIndex, reader, length);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static void setSQLXML(PreparedStatement pstmt, int parameterIndex, SQLXML xmlObject) throws SQLException {
        if (xmlObject == null) {
            pstmt.setNull(parameterIndex, 2009);
        } else {
            pstmt.setCharacterStream(parameterIndex, ((JDBC4MysqlSQLXML) xmlObject).serializeAsCharacterStream());
        }
    }
}
